/*
Theme Name: CAT 2025
Description: Child theme of Twenty Twenty-Five
Author: Matt Harris
Author URI: https://riotactstudios.com
Template: twentytwentyfive
Version: 1.0.0
License: GPL v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: twentytwentyfive-child
Requires at least: 6.0
Tested up to: 6.5
Requires PHP: 8.2
*/

*:focus {
  outline: none;
}

:root {
  --bodyfont: Mulish, sans-serif;
  --headingfont: Oswald, sans-serif;
  --body-textcolor: #3d464d;
  --body-accentcolor: #BFA97D;
  --body-bordercolor: #eee;
}

.mobile-hidden,
.is-layout-flex.mobile-hidden {
  display: none;
}

body {
  margin: 0;
  padding: 0;
  width: 100%;
  overflow-x: hidden; /* Prevent horizontal scrolling */
}

.wp-element-button {
  transition: all 0.3s ease;
}

.wp-element-button:hover {
  background-color: var(--body-textcolor) !important;
}

.hero .hero-bottom {
  order: 2;
}

/*-------------------------------*/
/*- Header Menu -----------------*/
/*-------------------------------*/

.header-menu-wrapper {
  position: relative;
}

.header-menu {
  display: none;
  list-style: none;
  margin: 0;
  padding: 0;
  justify-content: flex-start;
}

.header-menu > li {
  list-style: none;
  padding: 0;
  margin: 0;
  display: block;
  position: relative;
} 

.header-menu > li > a {
  position: relative;
  display: block;
  font-family: var(--headingfont);
  font-weight: 500;
  font-size: 16px;
  text-transform: uppercase;
  line-height: 90px;
  height: 90px;
  margin: 0 20px;
  color: var(--body-textcolor);
  transition: all 0.3s ease;
}

.header-menu > li:first-child > a {
  margin-left: 0;
}

.header-menu > li:last-child > a {
  margin-right: 0;
}

.header-menu > li.menu-item-has-children > a:after {
  position: absolute;
  top: 50%;
  right: -15px;
  transform: translateY(-50%) rotate(180deg);
  content: '\f2ec';
  font: var(--fa-font-sharp-solid);
  font-size: 8px;
}

.header-menu > li > .sub-menu {
  display: none;
  position: absolute;
  left: 0;
  top: 100%;
  z-index: 999;
  min-width: 220px;
  background-color: #fff;
  text-align: left;
  margin: 0;
  padding: 10px 0;
  border: 1px solid var(--body-bordercolor);
}

.header-menu > li > .sub-menu:after {
  content: '';
  display: block;
  position: absolute;
  left: 20px;
  top: -8px;
  width: 15px;
  height: 15px;
  background-color: #fff;
  border: solid 1px var(--body-bordercolor);
  border-right-color: transparent;
  border-bottom-color: transparent;
  transform-origin: center center;
  transform: rotate(45deg);
}

.header-menu > li > .sub-menu > li {
  display: block;
  margin: 0;
  padding: 0 13px;
  border-bottom: 1px solid var(--body-bordercolor);
}

.header-menu > li > .sub-menu > li:last-child {
  border-bottom: 0;
}

.header-menu > li > .sub-menu > li > a {
  display: block;
  font-size: 15px;
  font-weight: 500;
  padding: 10px;
  margin: 0;
  white-space: nowrap;
  transition: all 0.3s ease;
}

.header-menu > li:hover > a,
.header-menu > li > .sub-menu > li a:hover {
  color: var(--body-accentcolor);
}

.header-menu > li.current-menu-item > a,
.header-menu > li > .sub-menu > li.current-menu-item > a {
  color: var(--body-accentcolor);
}

.header-menu > li:hover .sub-menu {
  display: block;
}

/*-------------------------------*/
/*- Mobile Menu -----------------*/
/*-------------------------------*/

.mobile-menu-open {
  font-size: 20px;
}

#mobile-menu-container {
  height: 100%;
  width: 100vw; /* Fixed width to match viewport */
  position: fixed;
  z-index: 9999;
  top: 0;
  left: 0;
  background-color: #232020;
  overflow-x: hidden;
  transform: translateX(-100%); /* Initially offscreen */
  transition: transform 0.5s ease; /* Delay visibility on slide-out */
  box-sizing: border-box;
  max-width: 100vw; /* Prevent exceeding viewport */
}

#mobile-menu-container.open {
  transform: translateX(0); /* Slide in */
  transition: transform 0.5s ease; /* No delay on slide-in */
}

#mobile-menu-container .closebtn {
  position: absolute; /* Relative to #mobile-menu-container */
  top: 20px;
  right: 20px;
  font-size: 60px;
  color: #fff;
  z-index: 10000;
  padding: 0;
  margin: 0;
}

#mobile-menu-container * {
  max-width: 100%;
  box-sizing: border-box;
}

.mobile-menu-content {
  position: relative;
  top: 50px;
  width: 100%;
  margin-top: 30px;
  transform: translateX(0); /* Ensure content moves with container */
  transition: transform 0.5s ease; /* Sync with container */
}

#mobile-menu-container:not(.open) .mobile-menu-content {
  transform: translateX(-100%); /* Slide out with container */
}

.menu-mobile {
  padding: 0 0 30px 0;
}

.menu-mobile li {
  list-style: none;
  margin: 0;
}

.menu-mobile li:before {
  content: none;
}

.menu-mobile li a {
  position: relative;
  display: block;
  padding: 10px 20px;
  transition: all .3s ease;
  color: var(--body-accentcolor);
}

.menu-mobile li.menu-toggle > a:after {
  position: absolute;
  content: '';
  top: 50%;
  right: 20px;
  width: 8px;
  height: 8px;
  border-bottom: 2px solid #aaa;
  border-right: 2px solid #aaa;
  transform: translateY(-50%) rotate(45deg);
}

.menu-mobile li.menu-toggle > a.active:after {
  border-bottom: 2px solid #fff;
  border-right: 2px solid #fff;
  transform: rotate(-135deg);
}

.menu-mobile li a.active {
  color: #fff;
  background: var(--body-accentcolor);
}

.menu-mobile .sub-menu {
  display: none;
  margin: 0;
  padding: 0;
}

.menu-mobile .sub-menu li a {
  padding: 10px 20px 10px 40px;
}

.menu-mobile .sub-menu li .sub-menu li a {
  padding: 10px 20px 10px 60px;
}

.menu-mobile .current-menu-item a {
  color: #fff;
}

@media (max-width: 400px) {
  #mobile-menu-container .closebtn {
    right: 10px; /* Adjust for smaller screens */
    font-size: 40px; /* Smaller font size */
  }
}

/*-------------------------------*/
/*- Footer Menu -----------------*/
/*-------------------------------*/

.footer-menu .wp-block-navigation-item__label {
  font-size: 14px;
}

/*-------------------------------*/
/*- Accordian Block -------------*/
/*-------------------------------*/

.accordion {
  flex-wrap: wrap;
}

.accordion:first-child {
  border-top: 1px solid var(--body-bordercolor);
}

.accordion-row {
  width: 100%;
  border-bottom: 1px solid var(--body-bordercolor);
  margin: 0;
}

.accordion-row h4 {
  position: relative;
  text-transform: none;
  margin: 20px 0;
  font-size: 18px;
  cursor: pointer;
}

.accordion-row h4:after {
  font: var(--fa-font-sharp-light);
  position: absolute;
  top: 50%;
  right: 0;
  transform: translateY(-50%);
}

.accordion-row h4:after {
  content: '\2b';
}

.accordion-row h4.active:after {
  content: '\f068';
}

.accordion-content {
  margin-left: 20px;
}

/*-------------------------------*/
/*- Account Block ---------------*/
/*-------------------------------*/

.frontend-user {
  display: flex;
  align-items: center;
  text-decoration: none;
  gap: 10px;
}

.frontend-user-avatar {
  position: relative;
  border-radius: 50%;
  width: 32px;
  height: 32px;
}

.frontend-avatar-initials {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%,-50%);
  font-size: 12px;
  color: #fff;
}

.frontend-user-name {
  color: var(--body-textcolor);
}

/*-------------------------------*/
/*- Herd Profile Block ----------*/
/*-------------------------------*/

.herd-profile {
  display: flex;
  flex-wrap: wrap;
  gap: 20px;
  background-color: #fff;
  border: 1px solid var(--lex-gray-200);
  box-shadow: 0px 3px 4px 0px rgba(0, 0, 0, .03);
  padding: 10px;
}

.herd-profile-image {
  width: 100%;
  aspect-ratio: 16 / 9;
  overflow: hidden;
}

.herd-profile-content {
  width: 100%;
}

.herd-profile-image img {
  display: block;
  width: 100%;
  height: auto;
  aspect-ratio: 16 / 9;
  object-fit: cover;
}

.herd-profile-content {
  display: flex;
  flex-direction: column;
  align-items: stretch;
}

.herd-profile-content h3, 
.herd-profile-content ul,
.herd-profile-content .wp-block-buttons {
  flex-grow: 1;
}

.herd-profile-content h3 {
  display: flex;
  align-items: center;
  margin: 0 0 20px 0;
  padding: 0 0 10px 0;
  border-bottom: 1px solid var(--body-bordercolor);
}

.herd-profile-button {
  display: flex;
  justify-content: flex-end;
}

.herd-profile-button a {
  display: block;
  background-color: var(--body-accentcolor);
  color: #fff;
  padding: 10px 20px;
  transition: all 0.3s ease;
}

.herd-profile-button a:hover {
  background-color: var(--body-textcolor);
}

/*-------------------------------*/
/*- Map Block -------------------*/
/*-------------------------------*/

#large-map {
  min-height: 400px;
}

/*-------------------------------*/
/*- Bull Carousel Block ---------*/
/*-------------------------------*/

.single-bull-profile {
  position: relative;
  margin: 0 5px;
}

.single-bull-profile img {
  aspect-ratio: 4 / 3;
  object-fit: cover;
  width: 100%;
  height: auto;
  display: block;
}

.single-bull-profile .breed {
  display: block;
  position: absolute;
  bottom: 59px;
  right: 5px;
  font-size: 12px;
  background-color: rgba(0,0,0,.8);
  color: #fff;
  text-transform: uppercase;
  padding: 4px 10px;
}

.single-bull-profile h5 {
  text-align: center;
  margin: 20px;
}

/*-------------------------------*/
/*- Fancybox Fix ----------------*/
/*-------------------------------*/

.fancybox__caption {
  text-align: center;
}

/*-------------------------------*/
/*- Payment Form ----------------*/
/*-------------------------------*/

.simpay-embedded-heading.simpay-styled .simpay-form-description {
  text-align: center;
}

.simpay-customer-name-container,
.simpay-text-container {
  width: 100%;
}

.simpay-customer-name-container {
  margin-right: 10px;
}

.simpay-label-wrap label {
  font-size: 14px;
  margin-bottom: .25rem;
}

.simpay-field-wrap input {
  width: 100%;
  border-radius: 5px;
  padding: 0.75rem;
  border: 1px solid #e6e6e6;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02);
  box-sizing: border-box;
  height: 44px;
}

.simpay-field-wrap input:focus {
  outline: 0;
  border-color: #0570de;
  box-shadow: 0px 1px 1px rgba(0, 0, 0, 0.03), 0px 3px 6px rgba(0, 0, 0, 0.02), 0 0 0 3px hsla(210, 96%, 45%, 25%), 0 1px 1px 0 rgba(0, 0, 0, 0.08);
}

.simpay-custom-amount-container .simpay-currency-symbol {
  background-color: #e6e6e6;
  padding: 0 10px !important;
  height: 44px;
  box-sizing: border-box;
  border-top-left-radius: 10px;
  border-bottom-left-radius: 10px;
  font-size: 12px;
  line-height: 44px;
}

.simpay-field-wrap .simpay-amount-input {
  border-top-left-radius: 0;
  border-bottom-left-radius: 0;
}

.simpay-field-wrap .simpay-amount-input::placeholder {
    color: #ccc; /* Set your desired color */
}

.simpay-text-container:has(input[name="simpay_field[Company]"]) {
  width: 100%;
}

.simpay-checkout-btn-container {
  display: flex;
  justify-content: flex-end;
}

.simpay-checkout-btn {
  display: block;
  width: 25%;
  background-color: var(--body-accentcolor);
  color: #fff;
  font-size: 15px;
  text-transform: uppercase;
  font-weight: 600;
  padding: 10px 20px;
  border-radius: 10px;
  border: none;
  cursor: pointer;
}

.simpay-subtotal-amount-label,
.simpay-fee-recovery-label,
.simpay-total-amount-label {
  display: flex;
  justify-content: flex-end;
  font-size: 15px;
}

.simpay-subtotal-amount-label span,
.simpay-fee-recovery-label span,
.simpay-total-amount-label span {
  display: block;
}

.simpay-subtotal-amount-value,
.simpay-fee-recovery-amount-value,
.simpay-total-amount-value {
  width: 100px;
  text-align: right;
}

.simpay-total-amount-label,
.simpay-total-amount-value {
  font-weight: 600;
}

/*-------------------------------*/
/*- IVF Report ------------------*/
/*-------------------------------*/

.ivf-report {
  border: 1px solid #ccc;
  border-collapse: collapse;
  margin: 0;
  padding: 0;
  width: 100%;
}

.ivf-report caption {
  font-size: 1.5em;
  margin: .5em 0 .75em;
}

.ivf-report tr {
  background-color: #f8f8f8;
  border: 1px solid #ddd;
  padding: .35em;
}

.ivf-report th,
.ivf-report td {
  padding: .625em;
  border: 1px solid #ddd;
}

.ivf-report th {
  text-align: center;
  font-size: .85em;
  letter-spacing: .1em;
  text-transform: uppercase;
}

@media screen and (max-width: 800px) {
  .ivf-report {
    border: 0;
  }

  .ivf-report caption {
    font-size: 1.3em;
  }
  
  .ivf-report thead {
    border: none;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
  }
  
  .ivf-report tr {
    border-bottom: 3px solid #ddd;
    display: block;
    margin-bottom: .625em;
  }
  
  .ivf-report td {
    border-bottom: 1px solid #ddd;
    display: block;
    font-size: .8em;
    text-align: right;
  }
  
  .ivf-report td::before {
    /*
    * aria-label has no advantage, it won't be read inside a table
    content: attr(aria-label);
    */
    content: attr(data-label);
    float: left;
    font-weight: bold;
    text-transform: uppercase;
  }
  
  .ivf-report td:last-child {
    border-bottom: 0;
  }
}

/*-------------------------------*/
/*- Profile Awards --------------*/
/*-------------------------------*/

.mf-profile__heading h3 {
  font-size: 24px;
  margin: 0 0 20px 0;
  padding: 0 0 10px 0;
  border-bottom: 1px dashed var(--lex-gray-200);
}

.mf-award {
  width: 100%;
  background-color: #fff;
  padding: 10px 0;
  border-bottom: 1px solid rgba(0, 0, 0, 0.05);
  margin-bottom: 10px;
}

.mf-award__event {
  font-weight: 700;
  font-size: 12px;
  letter-spacing: 1.2px;
  text-transform: uppercase;
  color: var(--body-accentcolor);
}

.mf-award__placement {
  font-weight: 700;
  font-size: 18px;
  text-transform: uppercase;
}

/*-------------------------------*/
/*- LiveStockX Changes ----------*/
/*-------------------------------*/ 

body .catalog-heading h4 a {
  font-family: var(--headingfont);
}

body .catalog-action-icon {
  /*background-color: var(--body-accentcolor);*/
  border-radius: 0;
  text-transform: uppercase;
  font-size: 14px;
  transition: all 0.3s ease;
}

body .catalog-action-icon:hover {
  background-color: var(--body-textcolor);
}

body .catalog-description a,
body .catalog-details a {
  font-size: 14px;
}

.catalog-item-title span {
  font-size: 20px;
}

.catalog-title span {
  font-size: 16px;
}

body .catalog-card,
body .catalog-item-gallery-image,
body .catalog-thumb, 
body .favorite-item .catalog-thumb,
body .catalog-thumb img,
body .wp-block-acf-catalog-item, 
body .favorite-item {
  border-radius: 0;
}

.catalog-item-title {
  margin: 0;
}

body .catalog-categories li {
  border: 1px solid var(--body-accentcolor);
}

.woocommerce-breadcrumb a {
  font-size: 14px;
}

body .lex-widget-heading h3 {
  font-weight: 500;
}

body .lex-widget-button {
  background-color: transparent;
  color: var(--body-textcolor);
  transition: all 0.3s ease;
  border-radius: 0;
  border: 1px solid var(--body-textcolor);
  padding: 8px;
}

body .lex-widget-button:hover {
  background-color: var(--body-textcolor);
  color: #fff;
}

body .lex-widget-tab-header,
body .lex-widget-wrapper,
body #livestockx-account .account-sidebar {
  border-radius: 0;
}

body #livestockx-account input, 
body #livestockx-account select, 
body #livestockx-account textarea {
  border-radius: 0;
}

body .catalog-card {
  background-color: #fff;
}

.catalog-owners a {
  font-size: 14px;
}

.woocommerce-MyAccount-navigation-link a {
  color: var(--body-textcolor);
}

.account-submenu a {
  font-size: 16px;
}

.wp-block-acf-sales-contacts h3 {
  text-align: center;
}

.sale-contacts {
  list-style: none;
  margin: 0;
  padding: 0;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 20px;
}

.sale-contacts li {
  display: block;
  width: 100%;
  padding: 20px 40px;
  text-align: center;
  border: 1px solid var(--body-accentcolor);
}

.sale-contacts li span {
  display: block;
}

body .catalog-status {
  justify-content: center;
}

/*-------------------------------*/
/*- Payment Form ----------------*/
/*-------------------------------*/ 

#add_payment_method #payment {
  background-color: #ffffff !important; /* White background */
  border-radius: 0 !important; /* Match the 10px border radius from your filter */
}

#livestockx-account #add_payment_method #payment div.payment_box, 
#livestockx-account .woocommerce-cart #payment div.payment_box, 
#livestockx-account .woocommerce-checkout #payment div.payment_box {
  background-color: #f7f7f7;
}

#livestockx-account #add_payment_method #payment div.payment_box::before, 
#livestockx-account .woocommerce-cart #payment div.payment_box::before, 
#livestockx-account .woocommerce-checkout #payment div.payment_box::before {
  border: 1em solid #f7f7f7;
  border-right-color: transparent;
  border-left-color: transparent;
  border-top-color: transparent;
}

#livestockx-account .wc-payment-form {
  border: 0;
}

/*-------------------------------*/
/*- Products --------------------*/
/*-------------------------------*/ 

.wp-block-acf-stock {
  font-size: 12px;
  border: 1px solid #fff;
  padding: 5px 10px;
  text-transform: uppercase;
  color: #fff;
}

.wc-block-components-product-summary,
.wc-block-components-product-summary p {
  margin: 0;
}

.search-filter-component-combobox-base {
  border-radius: 0;
  border-color: var(--);
}

.wc-block-components-product-image__inner-container {
  background-color: rgba(0,0,0,.3);
}

:where(.wc-block-product-template .wc-block-product)>:not(:last-child) {
  margin-bottom: 0;
}

.taxonomy-product_cat a {
  font-size: 14px;
}

.wp-block-acf-beef-cuts ul {
  padding-inline-start: 0;
  list-style-position: inside;
}

.wc-block-components-product-stock-indicator--in-stock {
  color: green;
}

.wc-block-components-product-stock-indicator--out-of-stock {
  color: red;
}

.wp-block-add-to-cart-form {
  /*display: none;*/
}

.stock-status {
  font-size: 14px;
}

.stock-status.instock {
  color: green;
}

.stock-status.outofstock {
  color: #aaa;
}

.stock-status-variations {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: flex-start;
  gap: 10px;
}

.variation-stock {
  font-size: 14px;
  padding: 2px 5px;
  border-radius: 2px;
}

.variation-stock.instock {
  border: 1px solid #ddd;
  color: var(--body-textcolor);
}

.variation-stock.outofstock {
  border: 1px dashed #ddd;
  color: #ddd;
}

/*-------------------------------*/
/*- Profiles --------------------*/
/*-------------------------------*/ 

.profile-title span,
.profile-title span a {
  font-size: 28px;
}

/*-------------------------------*/
/*- Beef Page -------------------*/
/*-------------------------------*/ 

.beef-grid-item {
  width: calc(100% / 3);
}

/*-------------------------------*/
/*- Fluid Checkout --------------*/
/*-------------------------------*/

/*-------------------------------*/
/*- Larger Than Phone -----------*/
/*-------------------------------*/ 

@media (min-width: 750px) {

  .map-section-wrapper {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 9;
  }

  .herd-profile-image {
    width: 50%;
  }

  .herd-profile-content {
    width: calc(50% - 20px);
  }

  .simpay-customer-name-container,
  .simpay-text-container {
    width: calc(50% - 5px);
    float: left;
  }

  .hero .hero-top {
    order: 2 !important;
  }

  .hero .hero-bottom {
    order: 1 !important;
  }

  .sale-contacts li { width: calc((100% / 2) - 20px); }
}

/*-------------------------------*/
/*- Larger Than iPad ------------*/
/*-------------------------------*/ 

@media (min-width: 1000px) {

  .mobile-menu-open {
    display: none;
  }

  .header-menu, body .mobile-hidden-flex,
  .is-layout-flex.mobile-hidden {
    display: flex;
  }

  .mobile-hidden {
    display: block;
  }

  .beef-grid-item {
    width: calc(100% / 4);
  }

  .sale-contacts li { width: calc((100% / 3) - 20px); }

  body .catalog-status { justify-content: flex-end; }

}